This is EngineTests.info, produced by Macaulay2, version 1.25.05

EngineTests -- a test suite for the Macaulay2 engine
****************************************************

Description
===========

Caveat
======

Authors
=======

  * Michael E. Stillman (see
    http://www.math.cornell.edu/People/Faculty/stillman.html )
    <mike@math.cornell.edu>
  * Jakob Kröker (see  ) <kroeker@math.uni-hannover.de>

Version
=======

This documentation describes version 0.1 of EngineTests.

Citation
========

If you have used this package in your research, please cite it as follows:

+-----------------------------------------------------------------------------+
|@misc{EngineTestsSource,                                                     |
|  title = {{EngineTests: a test suite for the \emph{Macaulay2} engine. Versio|
|  author = {Michael E. Stillman and Jakob Kröker},                           |
|  howpublished = {A \emph{Macaulay2} package available at                    |
|    \url{https://github.com/Macaulay2/M2/tree/master/M2/Macaulay2/packages}} |
|}                                                                            |
|-----------------------------------------------------------------------------|
|n~0.1}},                                                                     |
+-----------------------------------------------------------------------------+

Exports
=======

  * Functions and commands
      * jordanForm (missing documentation)
      * runTests (missing documentation)
      * testClean (missing documentation)
      * testDeterminant (missing documentation)
      * testGF (missing documentation)
      * testGFGenerator (missing documentation)
      * testGFpromote (missing documentation)
      * testHasEngineLinearAlgebra (missing documentation)
      * testInverse (missing documentation)
      * testLinearAlgebra (missing documentation)
      * testLinearAlgebra$FLINT (missing documentation)
      * testLinearAlgebraSet (missing documentation)
      * testLUBoundaryCases (missing documentation)
      * testMonomialOrderingToMatrix (missing documentation)
      * testMult (missing documentation)
      * testMutableMatrices (missing documentation)
      * testNorm (missing documentation)
      * testNullspace (missing documentation)
      * testPromote (missing documentation)
      * testPromoteLift (missing documentation)
      * testRank (missing documentation)
      * testRankProfile (missing documentation)
      * testRingMapEval (missing documentation)
      * testSolve (missing documentation)
      * ZZpFFPACK (missing documentation)
      * ZZpFlint (missing documentation)
  * Methods
      * jordanForm(Ring,List) (missing documentation)
  * Other things
      * fields (missing documentation)
      * fieldsFFPACK (missing documentation)
      * fieldsFLINT (missing documentation)
      * fieldsGF (missing documentation)
      * finitefields (missing documentation)
      * hasFFPACK (missing documentation)
      * maxFFPACKPrime (missing documentation)
      * maxFLINTPrime (missing documentation)
      * ringsCC (missing documentation)
      * ringsPID (missing documentation)
      * ringsRR (missing documentation)

For the programmer
==================

The object EngineTests, is a package (Macaulay2Doc),
defined in EngineTests.m2, with auxiliary files in EngineTests/.

-------------------------------------------------------------------------------

The source of this document is in EngineTests.m2:478:0.

fields
******

For the programmer
==================

The object fields (missing documentation) is a list (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

fieldsFFPACK
************

For the programmer
==================

The object fieldsFFPACK (missing documentation) is a list (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

fieldsFLINT
***********

For the programmer
==================

The object fieldsFLINT (missing documentation) is a list (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

fieldsGF
********

For the programmer
==================

The object fieldsGF (missing documentation) is a list (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

finitefields
************

For the programmer
==================

The object finitefields (missing documentation) is a list (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

hasFFPACK
*********

For the programmer
==================

The object hasFFPACK (missing documentation) is a Boolean value (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

jordanForm
**********

Ways to use jordanForm:
=======================

  * jordanForm(Ring,List) (missing documentation)

For the programmer
==================

The object jordanForm (missing documentation) is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

maxFFPACKPrime
**************

For the programmer
==================

The object maxFFPACKPrime (missing documentation) is an integer (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

maxFLINTPrime
*************

For the programmer
==================

The object maxFLINTPrime (missing documentation) is an integer (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

ringsCC
*******

For the programmer
==================

The object ringsCC (missing documentation) is a list (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

ringsPID
********

For the programmer
==================

The object ringsPID (missing documentation) is a list (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

ringsRR
*******

For the programmer
==================

The object ringsRR (missing documentation) is a list (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

runTests
********

For the programmer
==================

The object runTests (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testClean
*********

For the programmer
==================

The object testClean (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testDeterminant
***************

For the programmer
==================

The object testDeterminant (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testGF
******

For the programmer
==================

The object testGF (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testGFGenerator
***************

For the programmer
==================

The object testGFGenerator (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testGFpromote
*************

For the programmer
==================

The object testGFpromote (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testHasEngineLinearAlgebra
**************************

For the programmer
==================

The object testHasEngineLinearAlgebra (missing documentation) is a
function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testInverse
***********

For the programmer
==================

The object testInverse (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testLinearAlgebra
*****************

For the programmer
==================

The object testLinearAlgebra (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testLinearAlgebraSet
********************

For the programmer
==================

The object testLinearAlgebraSet (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testLUBoundaryCases
*******************

For the programmer
==================

The object testLUBoundaryCases (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testMonomialOrderingToMatrix
****************************

For the programmer
==================

The object testMonomialOrderingToMatrix (missing documentation) is a
function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testMult
********

For the programmer
==================

The object testMult (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testMutableMatrices
*******************

For the programmer
==================

The object testMutableMatrices (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testNorm
********

For the programmer
==================

The object testNorm (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testNullspace
*************

For the programmer
==================

The object testNullspace (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testPromote
***********

For the programmer
==================

The object testPromote (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testPromoteLift
***************

For the programmer
==================

The object testPromoteLift (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testRank
********

For the programmer
==================

The object testRank (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testRankProfile
***************

For the programmer
==================

The object testRankProfile (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testRingMapEval
***************

For the programmer
==================

The object testRingMapEval (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

testSolve
*********

For the programmer
==================

The object testSolve (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

ZZpFFPACK
*********

For the programmer
==================

The object ZZpFFPACK (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

ZZpFlint
********

For the programmer
==================

The object ZZpFlint (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.